Fetch Agent Audit Logs
curl --request GET \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/audit-logs \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/audit-logs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "<string>",
"conversationId": "<string>",
"agentId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"eventType": "ASSIGNMENT",
"user": {
"id": "<string>",
"userType": "MEMBER",
"name": "<string>"
},
"eventDetails": {}
}
],
"pagination": {
"limit": 123,
"skip": 123,
"count": 123
}
}{
"error": "Internal server error"
}Audit Logs
Fetch Agent Audit Logs
Fetch audit logs for a specific agent. Supports filtering by event type, date range, and conversation.
GET
/
agents
/
{agentId}
/
audit-logs
Fetch Agent Audit Logs
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
Query Parameters
Filter logs by event type
Available options:
ASSIGNMENT, TAG_UPDATE Start date for filtering logs (ISO 8601)
End date for filtering logs (ISO 8601)
Optional conversation ID to scope results to one conversation
Maximum number of logs to return (default: 100)
Required range:
x >= 1Number of logs to skip for pagination (default: 0)
Required range:
x >= 0